<div class="user-table">
    <mat-form-field>
        <mat-label>Serach</mat-label>
        <input
          matInput
          [(ngModel)]="searchedText"
          (ngModelChange)="onChangeSearch()"
        />
    </mat-form-field>
    <button
        mat-raised-button
        color="accent"
        (click)="onCreateClick()"
        class="createButton"
    >
    Create
    </button>
    <table mat-table [dataSource]="data">
        <!-- username Column -->
        <ng-container matColumnDef="username">
        <th mat-header-cell *matHeaderCellDef>Username</th>
        <td mat-cell *matCellDef="let user">
            <div class="matItem">{{ user.username }}</div>
        </td>
        </ng-container>

        <!-- password Column -->
        <ng-container matColumnDef="password">
            <th mat-header-cell *matHeaderCellDef>Password</th>
            <td mat-cell *matCellDef="let user">
                <div class="matItem">{{ user.password }}</div>
            </td>
        </ng-container>

        <!-- firstName Column -->
        <ng-container matColumnDef="firstName">
            <th mat-header-cell *matHeaderCellDef>First Name</th>
            <td mat-cell *matCellDef="let user">
                <div class="matItem">{{ user.firstName }}</div>
            </td>
        </ng-container>

        <!-- lastName Column -->
        <ng-container matColumnDef="lastName">
            <th mat-header-cell *matHeaderCellDef>Last Name</th>
            <td mat-cell *matCellDef="let user">
                <div class="matItem">{{ user.lastName }}</div>
            </td>
        </ng-container>

        <!-- email Column -->
        <ng-container matColumnDef="email">
            <th mat-header-cell *matHeaderCellDef>Email</th>
            <td mat-cell *matCellDef="let user">
                <div class="matItem">{{ user.email }}</div>
            </td>
        </ng-container>

        <!-- phone Column -->
        <ng-container matColumnDef="phone">
            <th mat-header-cell *matHeaderCellDef>Phone</th>
            <td mat-cell *matCellDef="let user">
                <div class="matItem">{{ user.phone }}</div>
            </td>
        </ng-container>

        <!-- Actions Column -->
        <ng-container matColumnDef="actions">
        <th mat-header-cell *matHeaderCellDef>Actions</th>
        <td mat-cell *matCellDef="let user">
            <button
                (click)="onEditClick(user)"
                mat-mini-fab
                color="primary"
                class="matIcon"
            >
            <mat-icon>edit</mat-icon>
            </button>
            <button
                (click)="onDeleteClick(user)"
                mat-mini-fab
                color="primary"
                class="matIcon"
            >
            <mat-icon>delete</mat-icon>
            </button>
        </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
</div>